diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
index 8ca023e..f8cf0eb 100644
--- a/localedata/SUPPORTED
+++ b/localedata/SUPPORTED
@@ -344,7 +344,6 @@ or_IN/UTF-8 \
 os_RU/UTF-8 \
 pa_IN/UTF-8 \
 pa_PK/UTF-8 \
-pap_AN/UTF-8 \
 pap_AW/UTF-8 \
 pap_CW/UTF-8 \
 pl_PL.UTF-8/UTF-8 \
diff --git a/localedata/locales/pap_AN b/localedata/locales/pap_AN
deleted file mode 100644
index 63262a5..0000000
--- a/localedata/locales/pap_AN
+++ /dev/null
@@ -1,156 +0,0 @@
-comment_char %
-escape_char  /
-% Distribution and use is free, also for commercial purposes.
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-%
-% This locale is replaced by pap_AW and pap_CW and should be removed in
-% release 2.21.  AN line of iso-3177.def should also be removed.
-%
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-LC_IDENTIFICATION
-title "Papiamento Language for the (Netherland) Antilles"
-source "informations from native speaker"
-address ""
-contact "Pablo Saratxaga"
-email "pablo@mandrakesoft.com"
-tel ""
-fax ""
-language "pap"
-territory "AN"
-revision "0.2"
-date "2000-11-15"
-
-category i18n:2000;LC_IDENTIFICATION
-category i18n:2000;LC_COLLATE
-category i18n:2000;LC_CTYPE
-category i18n:2000;LC_MESSAGES
-category i18n:2000;LC_MONETARY
-category i18n:2000;LC_NUMERIC
-category i18n:2000;LC_TIME
-category i18n:2000;LC_PAPER
-category i18n:2000;LC_MEASUREMENT
-category i18n:2000;LC_TELEPHONE
-category i18n:2000;LC_ADDRESS
-
-% ISO/IEC 14652: Converted comments to LC_IDENTIFICATION
-%  added LC_PAPER, LC_MEASUREMENT, LC_TELEPHONE, LC_ADDRESS
-% -- mckinstry@computer.org, 2000-07-03
-
-END LC_IDENTIFICATION
-
-LC_ADDRESS
-postal_fmt "<U0025><U0064><U0025><U004E><U0025><U0066><U0025><U004E><U0025><U0064><U0025><U004E><U0025><U0062><U0025><U004E>/
-<U0025><U0073><U0020><U0025><U0068><U0020><U0035><U0065><U0020><U0025><U0072><U0025><U004E>/
-<U0025><U0043><U0025><U007A><U0020><U0025><U0054><U0025><U004E><U0025><U0063><U0025><U004E>"
-% FIXME country_name for Antilles in Paplamento
-% FIXME country_post MAIL_CEPTCODE for Nederland Antilles, AN?
-country_ab2 "<U0041><U004E>"
-country_ab3 "<U0041><U004E><U0054>"
-country_num 530
-country_isbn "99904"
-country_car "<U004E><U0041>"
-% lang_ab
-lang_term "<U0070><U0061><U0070>"
-lang_lib "<U0070><U0061><U0070>"
-END LC_ADDRESS
-
-LC_CTYPE
-copy "en_DK"
-END LC_CTYPE
-
-LC_COLLATE
-copy "en_DK"
-END LC_COLLATE
-
-LC_MESSAGES
-yesexpr "<U005E><U005B><U006A><U004A><U0079><U0059><U005D><U002E><U002A>"
-noexpr  "<U005E><U005B><U006E><U004E><U005D><U002E><U002A>"
-END LC_MESSAGES
-
-
-LC_MONETARY
-int_curr_symbol           "<U0041><U004E><U0047><U0020>"
-currency_symbol           "<U0066>"
-mon_decimal_point         "<U002C>"
-mon_thousands_sep         "<U0020>"
-mon_grouping              3;3
-positive_sign             ""
-negative_sign             "<U002D>"
-int_frac_digits           2
-frac_digits               2
-p_cs_precedes             1
-p_sep_by_space            1
-n_cs_precedes             1
-n_sep_by_space            1
-p_sign_posn               1
-n_sign_posn               2
-END LC_MONETARY
-
-LC_TIME
-abday   "<U0064><U006F>";"<U006C><U0075>";"<U006D><U0061>";/
-        "<U0077><U0065>";"<U0072><U0061>";"<U0062><U0069>";/
-        "<U0073><U0061>"
-day     "<U0044><U006A><U0061><U0064><U006F><U006D><U0069><U006E><U0067><U006F>";/
-        "<U0044><U006A><U0061><U006C><U0075><U006E><U0061>";/
-        "<U0044><U006A><U0061><U006D><U0061><U0072><U0073>";/
-        "<U0044><U006A><U0061><U0077><U0065><U0062><U0073>";/
-        "<U0044><U006A><U0061><U0072><U0061><U0073><U006F><U006E>";/
-        "<U0044><U006A><U0061><U0062><U0069><U0065><U0072><U006E><U0065>";/
-        "<U0044><U006A><U0061><U0073><U0061><U0062><U0072><U0061>"
-abmon   "<U0059><U0061><U006E>";"<U0046><U0065><U0062>";/
-        "<U004D><U0061><U0072>";"<U0041><U0070><U0072>";/
-        "<U004D><U0065><U0069>";"<U0059><U00FC><U006E>";/
-        "<U0059><U00FC><U006C>";"<U004F><U0075><U0067>";/
-        "<U0053><U00E8><U0070>";"<U004F><U006B><U0074>";/
-        "<U004E><U006F><U0076>";"<U0044><U0065><U0073>"
-mon     "<U0059><U0061><U006E><U00FC><U0061><U0072><U0069>";/
-        "<U0046><U0065><U0062><U0072><U00FC><U0061><U0072><U0069>";/
-        "<U004D><U0061><U0072><U0074>";/
-        "<U0041><U0070><U0072><U0065><U006C>";/
-        "<U004D><U0065><U0069>";/
-        "<U0059><U00FC><U006E><U0069>";/
-        "<U0059><U00FC><U006C><U0069>";/
-        "<U004F><U0075><U0067><U00F9><U0073><U0074><U00F9><U0073>";/
-        "<U0053><U00E8><U0070><U0074><U00E8><U006D><U0062><U0065><U0072>";/
-        "<U004F><U006B><U0074><U006F><U0062><U0065><U0072>";/
-        "<U004E><U006F><U0076><U00E8><U006D><U0062><U0065><U0072>";/
-        "<U0044><U0065><U0073><U00E8><U006D><U0062><U0065><U0072>"
-d_t_fmt "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0062><U0020><U0025><U0059><U0020><U0025><U0054><U0020><U0025><U005A>"
-d_fmt   "<U0025><U0064><U002D><U0025><U006D><U002D><U0025><U0079>"
-t_fmt   "<U0025><U0054>"
-am_pm   "";""
-t_fmt_ampm ""
-END LC_TIME
-
-LC_NUMERIC
-decimal_point             "<U002C>"
-thousands_sep             ""
-grouping                  0;0
-END LC_NUMERIC
-
-LC_MEASUREMENT
-% metric
-measurement 1
-END LC_MEASUREMENT
-
-% Default paper: A4
-LC_PAPER
-height 297
-width 210
-END LC_PAPER
-
-LC_TELEPHONE
-tel_int_fmt "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025><U006C>"
-% FIXME FIND tel_dom_fmt
-% 00
-int_select  "<U0030><U0030>"
-% 599
-int_prefix  "<U0035><U0039><U0039>"
-END LC_TELEPHONE
-
-LC_NAME
-% Todo
-copy "en_DK"
-END LC_NAME