diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
index d5f8af4..fc771fc 100644
--- a/localedata/SUPPORTED
+++ b/localedata/SUPPORTED
@@ -134,6 +134,7 @@ en_HK/ISO-8859-1 \
 en_IE.UTF-8/UTF-8 \
 en_IE/ISO-8859-1 \
 en_IE@euro/ISO-8859-15 \
+en_IL/UTF-8 \
 en_IN/UTF-8 \
 en_NG/UTF-8 \
 en_NZ.UTF-8/UTF-8 \
diff --git a/localedata/locales/en_IL b/localedata/locales/en_IL
new file mode 100644
index 0000000..39847c4
--- /dev/null
+++ b/localedata/locales/en_IL
@@ -0,0 +1,133 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+% Locale for English locale in Israel
+% Contributed by Guy Rutenberg <guyrutenberg@gmail.com>, 2016
+
+LC_IDENTIFICATION
+title      "English locale for Israel"
+source     "Free Software Foundation, Inc."
+address    "http:////www.gnu.org//software//libc//"
+contact    ""
+email      "bug-glibc-locales@gnu.org"
+tel        ""
+fax        ""
+language   "English"
+territory  "Israel"
+revision   "1.1"
+date       "2016-04-19"
+
+category "i18n:2012";LC_IDENTIFICATION
+category "i18n:2012";LC_CTYPE
+category "i18n:2012";LC_COLLATE
+category "i18n:2012";LC_TIME
+category "i18n:2012";LC_NUMERIC
+category "i18n:2012";LC_MONETARY
+category "i18n:2012";LC_MESSAGES
+category "i18n:2012";LC_PAPER
+category "i18n:2012";LC_NAME
+category "i18n:2012";LC_ADDRESS
+category "i18n:2012";LC_TELEPHONE
+category "i18n:2012";LC_MEASUREMENT
+END LC_IDENTIFICATION
+
+LC_CTYPE
+copy "en_GB"
+END LC_CTYPE
+
+LC_COLLATE
+copy "en_GB"
+END LC_COLLATE
+
+LC_MONETARY
+copy "he_IL"
+END LC_MONETARY
+
+LC_NUMERIC
+copy "he_IL"
+END LC_NUMERIC
+
+LC_TIME
+abday	"<U0053><U0075><U006E>";"<U004D><U006F><U006E>";/
+	"<U0054><U0075><U0065>";"<U0057><U0065><U0064>";/
+	"<U0054><U0068><U0075>";"<U0046><U0072><U0069>";/
+	"<U0053><U0061><U0074>"
+day	"<U0053><U0075><U006E><U0064><U0061><U0079>";/
+	"<U004D><U006F><U006E><U0064><U0061><U0079>";/
+	"<U0054><U0075><U0065><U0073><U0064><U0061><U0079>";/
+	"<U0057><U0065><U0064><U006E><U0065><U0073><U0064><U0061><U0079>";/
+	"<U0054><U0068><U0075><U0072><U0073><U0064><U0061><U0079>";/
+	"<U0046><U0072><U0069><U0064><U0061><U0079>";/
+	"<U0053><U0061><U0074><U0075><U0072><U0064><U0061><U0079>"
+abmon	"<U004A><U0061><U006E>";"<U0046><U0065><U0062>";/
+	"<U004D><U0061><U0072>";"<U0041><U0070><U0072>";/
+	"<U004D><U0061><U0079>";"<U004A><U0075><U006E>";/
+	"<U004A><U0075><U006C>";"<U0041><U0075><U0067>";/
+	"<U0053><U0065><U0070>";"<U004F><U0063><U0074>";/
+	"<U004E><U006F><U0076>";"<U0044><U0065><U0063>"
+mon	"<U004A><U0061><U006E><U0075><U0061><U0072><U0079>";/
+	"<U0046><U0065><U0062><U0072><U0075><U0061><U0072><U0079>";/
+	"<U004D><U0061><U0072><U0063><U0068>";/
+	"<U0041><U0070><U0072><U0069><U006C>";/
+	"<U004D><U0061><U0079>";/
+	"<U004A><U0075><U006E><U0065>";/
+	"<U004A><U0075><U006C><U0079>";/
+	"<U0041><U0075><U0067><U0075><U0073><U0074>";/
+	"<U0053><U0065><U0070><U0074><U0065><U006D><U0062><U0065><U0072>";/
+	"<U004F><U0063><U0074><U006F><U0062><U0065><U0072>";/
+	"<U004E><U006F><U0076><U0065><U006D><U0062><U0065><U0072>";/
+	"<U0044><U0065><U0063><U0065><U006D><U0062><U0065><U0072>"
+d_t_fmt "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0062><U0020><U0025><U0059><U0020><U0025><U0054><U0020><U0025><U005A>"
+d_fmt "<U0025><U0064><U002F><U0025><U006D><U002F><U0025><U0079>"
+t_fmt "<U0025><U0054>"
+am_pm "";""
+t_fmt_ampm ""
+week 7;19971130;1
+% In Israel Sunday is a workday.
+first_workday 1
+END LC_TIME
+
+LC_MESSAGES
+copy "en_US"
+END LC_MESSAGES
+
+LC_PAPER
+copy "he_IL"
+END LC_PAPER
+
+LC_NAME
+copy "en_US"
+END LC_NAME
+
+LC_ADDRESS
+postal_fmt "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
+<U0025><U0064><U0025><U004E><U0025><U0062><U0025><U004E><U0025><U0073>/
+<U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
+<U004E><U0025><U007A><U0020><U0025><U0054><U0025>/
+<U004E><U0025><U0063><U0025><U004E>"
+country_name "<U0049><U0073><U0072><U0061><U0065><U006C>"
+country_post "<U0049><U0053><U0052>"
+country_ab2  "<U0049><U004C>"
+country_ab3  "<U0049><U0053><U0052>"
+country_num  376
+country_car  "<U0049><U004C>"
+lang_name    "<U0045><U006E><U0067><U006C><U0069><U0073><U0068>"
+lang_ab      "<U0065><U006E>"
+lang_term    "<U0065><U006E><U0067>"
+lang_lib     "<U0065><U006E><U0067>"
+END LC_ADDRESS
+
+LC_TELEPHONE
+copy "he_IL"
+END LC_TELEPHONE
+
+LC_MEASUREMENT
+copy "he_IL"
+END LC_MEASUREMENT