diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
index f176e25..a159f58 100644
--- a/localedata/SUPPORTED
+++ b/localedata/SUPPORTED
@@ -425,6 +425,7 @@ tk_TM/UTF-8 \
 tl_PH.UTF-8/UTF-8 \
 tl_PH/ISO-8859-1 \
 tn_ZA/UTF-8 \
+to_TO/UTF-8 \
 tpi_PG/UTF-8 \
 tr_CY.UTF-8/UTF-8 \
 tr_CY/ISO-8859-9 \
diff --git a/localedata/locales/to_TO b/localedata/locales/to_TO
new file mode 100644
index 0000000..a5a2bd2
--- /dev/null
+++ b/localedata/locales/to_TO
@@ -0,0 +1,213 @@
+comment_char %
+escape_char /
+
+% Tongan language locale for Tonga
+% Contributed by Akhilesh Kumar <akhilesh.k@samsung.com>.
+
+LC_IDENTIFICATION
+title        "Tongan language locale for Tonga"
+source       "International Components for Unicode"
+address      "Samsung R & D Institute India - Delhi 2-A Sectort 126 Noida 201303"
+contact      ""
+email        "akhilesh.k@samsung.com"
+tel          ""
+fax          ""
+language     "Tongan"
+territory    "Tonga"
+revision     "1.0"
+date         "2017-03-23"
+
+category  "i18n:2012";LC_IDENTIFICATION
+category  "i18n:2012";LC_CTYPE
+category  "i18n:2012";LC_COLLATE
+category  "i18n:2012";LC_TIME
+category  "i18n:2012";LC_NUMERIC
+category  "i18n:2012";LC_MONETARY
+category  "i18n:2012";LC_PAPER
+category  "i18n:2012";LC_MEASUREMENT
+category  "i18n:2012";LC_MESSAGES
+category  "i18n:2012";LC_NAME
+category  "i18n:2012";LC_ADDRESS
+category  "i18n:2012";LC_TELEPHONE
+END LC_IDENTIFICATION
+
+LC_CTYPE
+copy "i18n"
+
+translit_start
+include "translit_combining";""
+translit_end
+END LC_CTYPE
+
+LC_COLLATE
+copy "iso14651_t1"
+END LC_COLLATE
+
+LC_TIME
+% http://www.weltec.ac.nz/Portals/0/pasifika/A4card_tonga_2014%20(3).pdf
+% http://scriptsource.org/cms/scripts/page.php?item_id=entry_detail&uid=ux3sxwufev
+% Full month names (%B)
+% Sanuali, Fepueli, Ma?asi, ?Epeleli, Me, Sune, Siulai, ?Aokosi, Sepitema, ?Okatopa, Novema, Tisema
+mon       "<U0053><U0101><U006E><U0075><U0061><U006C><U0069>";/
+     "<U0046><U0113><U0070><U0075><U0065><U006C><U0069>";/
+     "<U004D><U0061><U02BB><U0061><U0073><U0069>";/
+     "<U004D><U0061><U02BB><U0061><U0073><U0069>";/
+     "<U004D><U0113>";/
+     "<U000A><U0053><U0075><U006E><U0065>";/
+     "<U0053><U0069><U0075><U006C><U0061><U0069>";/
+     "<U02BB><U0041><U006F><U006B><U006F><U0073><U0069>";/
+     "<U0053><U0065><U0070><U0069><U0074><U0065><U006D><U0061>";/
+     "<U02BB><U004F><U006B><U0061><U0074><U006F><U0070><U0061>";/
+     "<U004E><U014D><U0076><U0065><U006D><U0061>";/
+     "<U0054><U012B><U0073><U0065><U006D><U0061>"
+% Abbreviated month names (%b)
+% San, Fep, Ma?a, ?Epe, Me, Sun, Siu, ?Aok, Sep, ?Oka, Nov, Tis
+abmon         "<U0053><U0101><U006E>";/
+       "<U0046><U0113><U0070>";/
+       "<U004D><U0061><U02BB><U0061>";/
+       "<U004D><U0061><U02BB><U0061>";/
+       "<U004D><U0113>";/
+       "<U000A><U0053><U0075>";/
+       "<U0053><U0069><U0075>";/
+       "<U02BB><U0041><U006F><U006B>";/
+       "<U0053><U0065><U0070>";/
+       "<U02BB><U004F><U006B><U0061>";/
+       "<U004E><U014D><U0076>";/
+       "<U0054><U012B><U0073>"
+% http://www.weltec.ac.nz/Portals/0/pasifika/A4card_tonga_2014%20(3).pdf
+% http://scriptsource.org/cms/scripts/page.php?item_id=entry_detail&uid=ux3sxwufev
+% Full weekday names (%A)
+% Sapate , Monite , Tusite , Pulelulu , Tu?apulelulu , Falaite , Tokonaki 
+day           "<U0053><U0101><U0070><U0061><U0074><U0065>";/
+     "<U004D><U014D><U006E><U0069><U0074><U0065>";/
+     "<U0054><U016B><U0073><U0069><U0074><U0065>";/
+     "<U0050><U0075><U006C><U0065><U006C><U0075><U006C><U0075>";/
+     "<U0054><U0075><U003F><U0061><U0070><U0075><U006C><U0065><U006C><U0075><U006C><U0075>";/
+     "<U0046><U0061><U006C><U0061><U0069><U0074><U0065>";/
+     "<U0054><U006F><U006B><U006F><U006E><U0061><U006B><U0069>"
+% Abbreviated weekday names (%a)
+% Sap , Mon , Tus , Pul , Tu?a , Fal , Tok 
+abday         "<U0053><U0101><U0070>";/
+       "<U004D><U014D><U006E>";/
+       "<U0054><U016B><U0073>";/
+       "<U0050><U0075><U006C>";/
+       "<U0054><U0075><U003F>";/
+       "<U0046><U0061><U006C>";/
+       "<U0054><U006F><U006B>"
+% Equivalent of AM PM
+% hengihengi, efiafi
+am_pm         "<U0068><U0065><U006E><U0067><U0069><U0068><U0065><U006E><U0067><U0069>";/
+       "<U0065><U0066><U0069><U0061><U0066><U0069>"
+
+%
+% Appropriate date and time representation
+% %a %d %b %Y %I:%M:%S %p %Z
+d_t_fmt "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0042><U0020><U0025><U0059><U0020><U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0070><U0020><U0054><U004F><U0054>"
+
+% Appropriate date representation
+% %A %d %b %Y
+d_fmt         "<U0025><U0041><U0020><U0025><U0064><U0020><U0025><U0062><U0020><U0025><U0059>"
+%
+% Appropriate time representation
+% %I:%M:%S  %Z
+t_fmt         "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0020><U0025><U005A>"
+% t_fmt   "<U0025><U0072>"
+%
+% Appropriate 12 h time representation (%r)
+% %I:%M:%S %p %Z
+% t_fmt_ampm    "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0070><U0020><U0025><U005A>"
+END LC_TIME
+%
+LC_NUMERIC
+% .
+decimal_point "<U002E>"
+% ,
+thousands_sep "<U002C>"
+grouping      3
+END LC_NUMERIC
+
+% https://en.wikipedia.org/wiki/Tonga
+% https://en.wikipedia.org/wiki/Tongan_pa%CA%BBanga
+LC_MONETARY
+% ¢
+currency_symbol    "<U00A2>"
+% Pa?anga (TOP) 
+int_curr_symbol    "<U0054><U004F><U0050><U0020>"
+% .
+mon_decimal_point  "<U002E>"
+% ,
+mon_thousands_sep  "<U002C>"
+mon_grouping       3
+positive_sign      ""
+% -
+negative_sign      "<U002D>"
+frac_digits        2
+int_frac_digits    2
+p_cs_precedes      1
+p_sep_by_space     1
+n_cs_precedes      1
+n_sep_by_space     1
+p_sign_posn        1
+n_sign_posn        1
+END LC_MONETARY
+
+LC_PAPER
+copy "i18n"
+END LC_PAPER
+
+LC_MEASUREMENT
+copy "i18n"
+END LC_MEASUREMENT
+
+LC_MESSAGES
+% https://www.tripadvisor.com/Travel-g294141-s604/Tonga:Important.Phrases.html
+% ^[+1yY] <FixMe>
+yesexpr "<U005E><U005B><U0031><U0079><U0059><U0101><U0100><U00E4><U00C4><U0061><U0041><U005D><U002E><U002A>"
+% ^[-0nN] <FixMe>
+noexpr  "<U005E><U005B><U0030><U006E><U004E><U006B><U004B><U005D><U002E><U002A>"
+% Yes -> 'Io 
+yesstr  "<U0027><U0049><U006F>"
+% NO -> 'Ikai
+nostr   "<U0027><U0049><U006B><U0061><U0069>"
+END LC_MESSAGES
+
+
+LC_NAME
+copy "en_US"
+END LC_NAME
+
+LC_ADDRESS
+% https://www.grcdi.nl/gsb/tonga.html
+% %a%b%s%c
+postal_fmt   "<U0025><U0061><U0025><U0062><U0025><U0073><U0025><U0063>"
+% Tonga
+country_name "<U0054><U006F><U006E><U0067><U0061>"
+% No code 
+country_post ""
+% http://laendercode.net/en/2-letter-list.html
+% TO
+country_ab2  "<U0054><U004F>"
+% TON
+% http://laendercode.net/en/countries.html
+country_ab3  "<U0054><U004F><U004E>"
+country_car  "<U0054><U004F><U004E>"
+country_num 776
+% Tongan
+lang_name    "<U0054><U006F><U006E><U0067><U0061><U000A>"
+% https://en.wikipedia.org/wiki/Tongan_language
+% to
+lang_ab      "<U0074><U006F>"
+lang_term    "<U0074><U006F><U006E>"
+lang_lib     "<U0074><U006F><U006E>"
+END LC_ADDRESS
+
+LC_TELEPHONE
+% https://www.howtocallabroad.com/tonga/
+% +%c %l
+tel_int_fmt "<U002B><U0025><U0063><U0020><U0025><U006C>"
+% 00
+int_select  "<U0030><U0030>"
+% 676
+int_prefix  "<U0036><U0037><U0036>"
+END LC_TELEPHONE
+