diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
index 1483e4f0cf..25a2db45ec 100644
--- a/localedata/SUPPORTED
+++ b/localedata/SUPPORTED
@@ -420,6 +420,7 @@ sr_RS@latin/UTF-8 \
 ss_ZA/UTF-8 \
 st_ZA.UTF-8/UTF-8 \
 st_ZA/ISO-8859-1 \
+su_ID/UTF-8 \
 sv_FI.UTF-8/UTF-8 \
 sv_FI/ISO-8859-1 \
 sv_FI@euro/ISO-8859-15 \
diff --git a/localedata/locales/su_ID b/localedata/locales/su_ID
new file mode 100644
index 0000000000..518c002dfc
--- /dev/null
+++ b/localedata/locales/su_ID
@@ -0,0 +1,164 @@
+comment_char %
+escape_char /
+
+% This file is part of the GNU C Library and contains locale data.
+% The Free Software Foundation does not claim any copyright interest
+% in the locale data contained in this file.  The foregoing does not
+% affect the license of the GNU C Library as a whole.  It does not
+% exempt you from the conditions of the license if your use would
+% otherwise be governed by that license.
+
+% Sundanese language locale for Indonesia
+% Source:
+% Address:
+% Contact: Ilham Nurwansah
+% Email: ilhamnurwansah@gmail.com
+% Tel:
+% Fax:
+% Language: su
+% Territory: ID
+% Revision: 1.0
+% Date: 2021-02-02
+% Application: general
+% Users: general
+
+LC_IDENTIFICATION
+title      "Sundanese locale for Indonesia"
+source     ""
+address    ""
+contact    ""
+email      "bug-glibc-locales@gnu.org"
+tel        ""
+fax        ""
+language   "Sundanese"
+territory  "Indonesia"
+revision   "1.0"
+date       "2021-02-02"
+
+category "i18n:2012";LC_IDENTIFICATION
+category "i18n:2012";LC_CTYPE
+category "i18n:2012";LC_COLLATE
+category "i18n:2012";LC_TIME
+category "i18n:2012";LC_NUMERIC
+category "i18n:2012";LC_MONETARY
+category "i18n:2012";LC_MESSAGES
+category "i18n:2012";LC_PAPER
+category "i18n:2012";LC_NAME
+category "i18n:2012";LC_ADDRESS
+category "i18n:2012";LC_TELEPHONE
+category "i18n:2012";LC_MEASUREMENT
+END LC_IDENTIFICATION
+
+LC_CTYPE
+copy "i18n"
+
+translit_start
+include "translit_combining";""
+translit_end
+END LC_CTYPE
+
+LC_COLLATE
+copy "iso14651_t1"
+END LC_COLLATE
+
+LC_MONETARY
+int_curr_symbol         "IDR "
+currency_symbol         "Rp"
+mon_decimal_point       ","
+mon_thousands_sep       "."
+mon_grouping            3;3
+positive_sign           ""
+negative_sign           "-"
+int_frac_digits         2
+frac_digits             2
+p_cs_precedes           1
+p_sep_by_space          0
+n_cs_precedes           1
+n_sep_by_space          0
+p_sign_posn             1
+n_sign_posn             1
+END LC_MONETARY
+
+LC_NUMERIC
+decimal_point           ","
+thousands_sep           "."
+grouping                3;3
+END LC_NUMERIC
+
+LC_TIME
+abday       "Min";"Sen";/
+            "Sal";"Reb";/
+            "Kem";"Jum";/
+            "Sab"
+day         "Minggu";/
+            "Senén";/
+            "Salasa";/
+            "Rebo";/
+            "Kemis";/
+            "Jumaah";/
+            "Saptu"
+abmon       "Jan";"Féb";/
+            "Mar";"Apr";/
+            "Méi";"Jun";/
+            "Jul";"Agu";/
+            "Sép";"Okt";/
+            "Nov";"Dés"
+mon         "Januari";/
+            "Fébruari";/
+            "Maret";/
+            "April";/
+            "Méi";/
+            "Juni";/
+            "Juli";/
+            "Agustus";/
+            "Séptémber";/
+            "Oktober";/
+            "Novémber";/
+            "Désémber"
+d_t_fmt     "%a %d %b %Y %r"
+date_fmt    "%a %d %b %Y %r %Z"
+d_fmt       "%d//%m//%y"
+t_fmt       "%T"
+am_pm       "";""
+t_fmt_ampm  ""
+week 7;19971130;1
+END LC_TIME
+
+LC_MESSAGES
+yesexpr "^[+1yY]"
+noexpr  "^[-0tTnN]"
+yesstr  "enya"
+nostr   "henteu"
+END LC_MESSAGES
+
+LC_PAPER
+copy "i18n"
+END LC_PAPER
+
+LC_TELEPHONE
+tel_int_fmt    "+%c %a %l"
+int_prefix     "62"
+int_select     "001,008,007,009"
+END LC_TELEPHONE
+
+LC_MEASUREMENT
+copy "i18n"
+END LC_MEASUREMENT
+
+LC_NAME
+name_fmt    "%d%t%g%t%m%t%f"
+END LC_NAME
+
+LC_ADDRESS
+postal_fmt    "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
+country_name "Indonesia"
+country_ab2 "ID"
+country_ab3 "IDN"
+country_num 360
+country_car    "RI"
+lang_name    "Sundanese"
+lang_ab      "su"
+lang_term    "sun"
+lang_lib    "sun"
+END LC_ADDRESS
+